<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxGraphics2DCanvas (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxGraphics2DCanvas (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":9,"i18":9,"i19":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphics2DCanvas.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.canvas</a></div>
<h2 title="Class mxGraphics2DCanvas" class="title">Class mxGraphics2DCanvas</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">import hk.quantr.mxgraph.canvas.mxBasicCanvas</a></li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxICanvas.html" title="interface in import hk.quantr.mxgraph.canvas">mxICanvas</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="../swing/view/mxInteractiveCanvas.html" title="class in import hk.quantr.mxgraph.swing.view">mxInteractiveCanvas</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxGraphics2DCanvas</span>
extends <a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></pre>
<div class="block">An implementation of a canvas that uses Graphics2D for painting.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.Graphics2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#g">g</a></span></code></th>
<td class="colLast">
<div class="block">Global graphics handle to the image.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#IMAGE_SCALING">IMAGE_SCALING</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the image scaling quality.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected javax.swing.CellRendererPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rendererPane">rendererPane</a></span></code></th>
<td class="colLast">
<div class="block">Optional renderer pane to be used for HTML label rendering.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static java.util.Map&lt;java.lang.String,&#8203;<a href="../shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#shapes">shapes</a></span></code></th>
<td class="colLast">
<div class="block">Maps from names to mxIVertexShape instances.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SHAPE_DEFAULT">TEXT_SHAPE_DEFAULT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SHAPE_HTML">TEXT_SHAPE_HTML</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.util.Map&lt;java.lang.String,&#8203;<a href="../shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#textShapes">textShapes</a></span></code></th>
<td class="colLast">
<div class="block">Maps from names to mxITextShape instances.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.import hk.quantr.mxgraph.canvas.mxBasicCanvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;import hk.quantr.mxgraph.canvas.<a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></h3>
<code><a href="mxBasicCanvas.html#DEFAULT_IMAGEBASEPATH">DEFAULT_IMAGEBASEPATH</a>, <a href="mxBasicCanvas.html#drawLabels">drawLabels</a>, <a href="mxBasicCanvas.html#imageBasePath">imageBasePath</a>, <a href="mxBasicCanvas.html#imageCache">imageCache</a>, <a href="mxBasicCanvas.html#PRESERVE_IMAGE_ASPECT">PRESERVE_IMAGE_ASPECT</a>, <a href="mxBasicCanvas.html#scale">scale</a>, <a href="mxBasicCanvas.html#translate">translate</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxGraphics2DCanvas</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructs a new graphics canvas with an empty graphics object.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.awt.Graphics2D)">mxGraphics2DCanvas</a></span>&#8203;(java.awt.Graphics2D&nbsp;g)</code></th>
<td class="colLast">
<div class="block">Constructs a new graphics canvas for the given graphics object.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.awt.Paint</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createFillPaint(import hk.quantr.mxgraph.util.mxRectangle,java.util.Map)">createFillPaint</a></span>&#8203;(<a href="../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
               java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.awt.Stroke</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createStroke(java.util.Map)">createStroke</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.awt.Graphics2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createTemporaryGraphics(java.util.Map,float,import hk.quantr.mxgraph.util.mxRectangle)">createTemporaryGraphics</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style,
                       float&nbsp;opacity,
                       <a href="../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawCell(import hk.quantr.mxgraph.view.mxCellState)">drawCell</a></span>&#8203;(<a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Draws the given cell.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawImage(java.awt.Rectangle,java.lang.String)">drawImage</a></span>&#8203;(java.awt.Rectangle&nbsp;bounds,
         java.lang.String&nbsp;imageUrl)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawImage(java.awt.Rectangle,java.lang.String,boolean,boolean,boolean)">drawImage</a></span>&#8203;(java.awt.Rectangle&nbsp;bounds,
         java.lang.String&nbsp;imageUrl,
         boolean&nbsp;preserveAspect,
         boolean&nbsp;flipH,
         boolean&nbsp;flipV)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawImageImpl(java.awt.Image,int,int)">drawImageImpl</a></span>&#8203;(java.awt.Image&nbsp;image,
             int&nbsp;x,
             int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">Implements the actual graphics call.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#drawLabel(java.lang.String,import hk.quantr.mxgraph.view.mxCellState,boolean)">drawLabel</a></span>&#8203;(java.lang.String&nbsp;text,
         <a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         boolean&nbsp;html)</code></th>
<td class="colLast">
<div class="block">Draws the given label.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillShape(java.awt.Shape)">fillShape</a></span>&#8203;(java.awt.Shape&nbsp;shape)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#fillShape(java.awt.Shape,boolean)">fillShape</a></span>&#8203;(java.awt.Shape&nbsp;shape,
         boolean&nbsp;shadow)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.awt.Graphics2D</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGraphics()">getGraphics</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the graphics object for this canvas.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected java.awt.Dimension</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getImageSize(java.awt.Image)">getImageSize</a></span>&#8203;(java.awt.Image&nbsp;image)</code></th>
<td class="colLast">
<div class="block">Returns the size for the given image.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>javax.swing.CellRendererPane</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRendererPane()">getRendererPane</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getShape(java.util.Map)">getShape</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTextShape(java.util.Map,boolean)">getTextShape</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style,
            boolean&nbsp;html)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintPolyline(import hk.quantr.mxgraph.util.mxPoint%5B%5D,boolean)">paintPolyline</a></span>&#8203;(<a href="../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>[]&nbsp;points,
             boolean&nbsp;rounded)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintRectangle(java.awt.Rectangle,java.awt.Color,java.awt.Color)">paintRectangle</a></span>&#8203;(java.awt.Rectangle&nbsp;bounds,
              java.awt.Color&nbsp;background,
              java.awt.Color&nbsp;border)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#putShape(java.lang.String,import hk.quantr.mxgraph.shape.mxIShape)">putShape</a></span>&#8203;(java.lang.String&nbsp;name,
        <a href="../shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a>&nbsp;shape)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#putTextShape(java.lang.String,import hk.quantr.mxgraph.shape.mxITextShape)">putTextShape</a></span>&#8203;(java.lang.String&nbsp;name,
            <a href="../shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a>&nbsp;shape)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGraphics(java.awt.Graphics2D)">setGraphics</a></span>&#8203;(java.awt.Graphics2D&nbsp;g)</code></th>
<td class="colLast">
<div class="block">Sets the graphics object for this canvas.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.import hk.quantr.mxgraph.canvas.mxBasicCanvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;import hk.quantr.mxgraph.canvas.<a href="mxBasicCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxBasicCanvas</a></h3>
<code><a href="mxBasicCanvas.html#flushImageCache()">flushImageCache</a>, <a href="mxBasicCanvas.html#getImageBasePath()">getImageBasePath</a>, <a href="mxBasicCanvas.html#getImageForStyle(java.util.Map)">getImageForStyle</a>, <a href="mxBasicCanvas.html#getScale()">getScale</a>, <a href="mxBasicCanvas.html#getTranslate()">getTranslate</a>, <a href="mxBasicCanvas.html#isDrawLabels()">isDrawLabels</a>, <a href="mxBasicCanvas.html#loadImage(java.lang.String)">loadImage</a>, <a href="mxBasicCanvas.html#setDrawLabels(boolean)">setDrawLabels</a>, <a href="mxBasicCanvas.html#setImageBasePath(java.lang.String)">setImageBasePath</a>, <a href="mxBasicCanvas.html#setScale(double)">setScale</a>, <a href="mxBasicCanvas.html#setTranslate(double,double)">setTranslate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="TEXT_SHAPE_DEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SHAPE_DEFAULT</h4>
<pre>public static final&nbsp;java.lang.String TEXT_SHAPE_DEFAULT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas.TEXT_SHAPE_DEFAULT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SHAPE_HTML">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SHAPE_HTML</h4>
<pre>public static final&nbsp;java.lang.String TEXT_SHAPE_HTML</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas.TEXT_SHAPE_HTML">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="IMAGE_SCALING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMAGE_SCALING</h4>
<pre>public static&nbsp;int IMAGE_SCALING</pre>
<div class="block">Specifies the image scaling quality. Default is Image.SCALE_SMOOTH.</div>
</li>
</ul>
<a id="shapes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shapes</h4>
<pre>protected static&nbsp;java.util.Map&lt;java.lang.String,&#8203;<a href="../shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a>&gt; shapes</pre>
<div class="block">Maps from names to mxIVertexShape instances.</div>
</li>
</ul>
<a id="textShapes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>textShapes</h4>
<pre>protected static&nbsp;java.util.Map&lt;java.lang.String,&#8203;<a href="../shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a>&gt; textShapes</pre>
<div class="block">Maps from names to mxITextShape instances. There are currently three different
 hardcoded text shapes available here: default, html and wrapped.</div>
</li>
</ul>
<a id="rendererPane">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rendererPane</h4>
<pre>protected&nbsp;javax.swing.CellRendererPane rendererPane</pre>
<div class="block">Optional renderer pane to be used for HTML label rendering.</div>
</li>
</ul>
<a id="g">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>g</h4>
<pre>protected&nbsp;java.awt.Graphics2D g</pre>
<div class="block">Global graphics handle to the image.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxGraphics2DCanvas</h4>
<pre>public&nbsp;mxGraphics2DCanvas()</pre>
<div class="block">Constructs a new graphics canvas with an empty graphics object.</div>
</li>
</ul>
<a id="&lt;init&gt;(java.awt.Graphics2D)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxGraphics2DCanvas</h4>
<pre>public&nbsp;mxGraphics2DCanvas&#8203;(java.awt.Graphics2D&nbsp;g)</pre>
<div class="block">Constructs a new graphics canvas for the given graphics object.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="putShape(java.lang.String,import hk.quantr.mxgraph.shape.mxIShape)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putShape</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;putShape&#8203;(java.lang.String&nbsp;name,
                            <a href="../shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a>&nbsp;shape)</pre>
</li>
</ul>
<a id="getShape(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShape</h4>
<pre class="methodSignature">public&nbsp;<a href="../shape/mxIShape.html" title="interface in import hk.quantr.mxgraph.shape">mxIShape</a>&nbsp;getShape&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
</li>
</ul>
<a id="putTextShape(java.lang.String,import hk.quantr.mxgraph.shape.mxITextShape)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>putTextShape</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;putTextShape&#8203;(java.lang.String&nbsp;name,
                                <a href="../shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a>&nbsp;shape)</pre>
</li>
</ul>
<a id="getTextShape(java.util.Map,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTextShape</h4>
<pre class="methodSignature">public&nbsp;<a href="../shape/mxITextShape.html" title="interface in import hk.quantr.mxgraph.shape">mxITextShape</a>&nbsp;getTextShape&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style,
                                 boolean&nbsp;html)</pre>
</li>
</ul>
<a id="getRendererPane()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRendererPane</h4>
<pre class="methodSignature">public&nbsp;javax.swing.CellRendererPane&nbsp;getRendererPane()</pre>
</li>
</ul>
<a id="getGraphics()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGraphics</h4>
<pre class="methodSignature">public&nbsp;java.awt.Graphics2D&nbsp;getGraphics()</pre>
<div class="block">Returns the graphics object for this canvas.</div>
</li>
</ul>
<a id="setGraphics(java.awt.Graphics2D)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGraphics</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setGraphics&#8203;(java.awt.Graphics2D&nbsp;g)</pre>
<div class="block">Sets the graphics object for this canvas.</div>
</li>
</ul>
<a id="drawCell(import hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawCell</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;drawCell&#8203;(<a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="mxICanvas.html#drawCell(import hk.quantr.mxgraph.view.mxCellState)">mxICanvas</a></code></span></div>
<div class="block">Draws the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - State of the cell to be painted.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object that represents the cell.</dd>
</dl>
</li>
</ul>
<a id="drawLabel(java.lang.String,import hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawLabel</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;drawLabel&#8203;(java.lang.String&nbsp;text,
                                  <a href="../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                  boolean&nbsp;html)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="mxICanvas.html#drawLabel(java.lang.String,import hk.quantr.mxgraph.view.mxCellState,boolean)">mxICanvas</a></code></span></div>
<div class="block">Draws the given label.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - String that represents the label.</dd>
<dd><code>state</code> - State of the cell whose label is to be painted.</dd>
<dd><code>html</code> - Specifies if the label contains HTML markup.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Object that represents the label.</dd>
</dl>
</li>
</ul>
<a id="drawImage(java.awt.Rectangle,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawImage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;drawImage&#8203;(java.awt.Rectangle&nbsp;bounds,
                      java.lang.String&nbsp;imageUrl)</pre>
</li>
</ul>
<a id="drawImage(java.awt.Rectangle,java.lang.String,boolean,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawImage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;drawImage&#8203;(java.awt.Rectangle&nbsp;bounds,
                      java.lang.String&nbsp;imageUrl,
                      boolean&nbsp;preserveAspect,
                      boolean&nbsp;flipH,
                      boolean&nbsp;flipV)</pre>
</li>
</ul>
<a id="drawImageImpl(java.awt.Image,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drawImageImpl</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;drawImageImpl&#8203;(java.awt.Image&nbsp;image,
                             int&nbsp;x,
                             int&nbsp;y)</pre>
<div class="block">Implements the actual graphics call.</div>
</li>
</ul>
<a id="getImageSize(java.awt.Image)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImageSize</h4>
<pre class="methodSignature">protected&nbsp;java.awt.Dimension&nbsp;getImageSize&#8203;(java.awt.Image&nbsp;image)</pre>
<div class="block">Returns the size for the given image.</div>
</li>
</ul>
<a id="paintPolyline(import hk.quantr.mxgraph.util.mxPoint[],boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintPolyline</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintPolyline&#8203;(<a href="../util/mxPoint.html" title="class in import hk.quantr.mxgraph.util">mxPoint</a>[]&nbsp;points,
                          boolean&nbsp;rounded)</pre>
</li>
</ul>
<a id="paintRectangle(java.awt.Rectangle,java.awt.Color,java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintRectangle</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintRectangle&#8203;(java.awt.Rectangle&nbsp;bounds,
                           java.awt.Color&nbsp;background,
                           java.awt.Color&nbsp;border)</pre>
</li>
</ul>
<a id="fillShape(java.awt.Shape)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;fillShape&#8203;(java.awt.Shape&nbsp;shape)</pre>
</li>
</ul>
<a id="fillShape(java.awt.Shape,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;fillShape&#8203;(java.awt.Shape&nbsp;shape,
                      boolean&nbsp;shadow)</pre>
</li>
</ul>
<a id="createStroke(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStroke</h4>
<pre class="methodSignature">public&nbsp;java.awt.Stroke&nbsp;createStroke&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
</li>
</ul>
<a id="createFillPaint(import hk.quantr.mxgraph.util.mxRectangle,java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFillPaint</h4>
<pre class="methodSignature">public&nbsp;java.awt.Paint&nbsp;createFillPaint&#8203;(<a href="../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
                                      java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
</li>
</ul>
<a id="createTemporaryGraphics(java.util.Map,float,import hk.quantr.mxgraph.util.mxRectangle)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createTemporaryGraphics</h4>
<pre class="methodSignature">public&nbsp;java.awt.Graphics2D&nbsp;createTemporaryGraphics&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style,
                                                   float&nbsp;opacity,
                                                   <a href="../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxGraphics2DCanvas.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
